apt update не работает.

Программы для конфигурации и управления операционной системой
Правила форума
Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа.
Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

apt update не работает.

Сообщение FliXis » 24 окт 2016, 18:37

Mint 18 cinnamon
Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.

PPA нет, доп репозитарии отключил.
На втором ноуте с яндекс-зеркалами тоже самое.(на этом ноуте дефолтные)
Примерно тоже самое происходило еще на 17м минте года два назад.

В сети
Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

Re: apt update не работает.

Сообщение Chocobo » 24 окт 2016, 18:48

FliXis, А сам адрес http://archive.canonical.com/ubuntu/dis ... /InRelease доступен норм по пингам на домен и в браузере?

Также кака-то встречалось, что apt зачем-то лез в сеть по ipv6 - не помешает отключить, если явно не требуется

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 24 окт 2016, 18:51

Доступен в браузере и пинговался.
А как отключить?

В сети
Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

Re: apt update не работает.

Сообщение Chocobo » 24 окт 2016, 19:06

Проверь для начала с опцией на ipv4

Код: Выделить всё

sudo apt-get -o Acquire::ForceIPv4=true update
Если это оно - то уже можно будет гасить и на уровне системы

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 11:46

Отрабатывает! Значит из-за IPv6, я правда, совершенно не знаю, что это, ничего не секу в сетях.

В сети
Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

Re: apt update не работает.

Сообщение Chocobo » 25 окт 2016, 11:49

Тогда эти строчки

Код: Выделить всё

net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.default.disable_ipv6 = 1
net.ipv6.conf.lo.disable_ipv6 = 1
Добавь к файлу /etc/sysctl.conf, затем дай sudo sysctl -p
И перезапусти сетевые службы (или перезагрузись) - так ipv6 будет загашен на всю систему

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: apt update не работает.

Сообщение symon2014 » 25 окт 2016, 12:16

Можно так - gksu ФМ /etc/default/grub

Найдите параметр GRUB_CMDLINE_LINUX_DEFAULT и аккуратно дополните значением ipv6.disable=1 Сохраните изменения. Вызовите sudo update-grub
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 13:01

symon2014 писал(а): Можно так - gksu ФМ /etc/default/grub

Найдите параметр GRUB_CMDLINE_LINUX_DEFAULT и аккуратно дополните значением ipv6.disable=1 Сохраните изменения. Вызовите sudo update-grub
Дополнил этот аргумент, но после перезагрузки ничего не изменилось.
Chocobo писал(а): Тогда эти строчки

Код: Выделить всё

net.ipv6.conf.all.disable_ipv6 = 1
net.ipv6.conf.default.disable_ipv6 = 1
net.ipv6.conf.lo.disable_ipv6 = 1
Добавь к файлу /etc/sysctl.conf, затем дай sudo systemctl -p
И перезапусти сетевые службы (или перезагрузись) - так ipv6 будет загашен на всю систему
После перезагрузки тоже ничего не изменилось, а на команду sudo systemctl -p жалуется, мол systemctl: ключ должен быть с аргументом - "p"

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: apt update не работает.

Сообщение symon2014 » 25 окт 2016, 13:05

Попробуй без дефиса.
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 13:06

symon2014 писал(а): Попробуй без дефиса.
ПРобовал, пишет не знает операции p

В сети
Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

Re: apt update не работает.

Сообщение Chocobo » 25 окт 2016, 13:14

sysctl -p, ошибся немножко :smile:
Но фактически после перезагрузки должны были подцепиться сами эти параметры.

Покажи ip a - строк inet6 там быть не должно уже на активных интерфейсах

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: apt update не работает.

Сообщение symon2014 » 25 окт 2016, 13:21

Покажи cat /etc/default/grub
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:07

Chocobo писал(а): sysctl -p, ошибся немножко :smile:
Но фактически после перезагрузки должны были подцепиться сами эти параметры.

Покажи ip a - строк inet6 там быть не должно уже на активных интерфейсах
Выполнил, написало вот такое в приложении.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:08

symon2014 писал(а): Покажи cat /etc/default/grub
GRUB_CMDLINE_LINUX_DEFAULT="quiet splash ipv6.disable=1"
Вот так дописывал.

Аватара пользователя

symon2014
Сообщения: 1578
Зарегистрирован: 29 авг 2016, 02:17
Решено: 19
Откуда: Феодосия
Благодарил (а): 47 раз
Поблагодарили: 427 раз

Re: apt update не работает.

Сообщение symon2014 » 25 окт 2016, 14:16

update-grub после делал?
:sry:
Debian (9.1) , LMDE2 , LM 18.2 Mate . Благодарности складываем сюда ---> R320161344462

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:20

symon2014 писал(а): update-grub после делал?
Забыл :dash2:

А тут я в строке ошибся:
net.ipv6.conf.lo.disable_ipv6 = 1
Сейчас исправил и перезагружаюсь.

В сети
Аватара пользователя

Chocobo
Сообщения: 5523
Зарегистрирован: 27 авг 2016, 19:57
Решено: 129
Откуда: НН
Благодарил (а): 411 раз
Поблагодарили: 1434 раза

Re: apt update не работает.

Сообщение Chocobo » 25 окт 2016, 14:23

FliXis писал(а): написало вот такое в приложении.
На permission denied - дай с sudo.

Код: Выделить всё

sudo sysctl -p
И в третьей строчке ошибка у тебя на лупбеке -там lo (эль-о) имя интерфейса должно быть вместо io

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:24

ip a
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:25

Chocobo писал(а):
FliXis писал(а): написало вот такое в приложении.
На permission denied - дай с sudo.

Код: Выделить всё

sudo sysctl -p
И в третьей строчке ошибка у тебя на лупбеке -там lo (эль-о) имя интерфейса должно быть вместо io
Ага, уже исправил

Аватара пользователя

Автор темы
FliXis
Сообщения: 236
Зарегистрирован: 31 авг 2016, 11:01
Решено: 5
Благодарил (а): 58 раз
Поблагодарили: 15 раз

Re: apt update не работает.

Сообщение FliXis » 25 окт 2016, 14:38

update-grub помог. Теперь на старом ноуте, где я провел все эти процедуры, update происходит корректно.
Но самое удивительное, что на новом ноуте, где я ничего не делал, тоже теперь все стало нормально, а там ведь остался ipv6.
Такое впечатление, что ноуты в одной сетке мешают друг-другу. Помню, был у меня случай один, когда при выключении одного из ноутов, отрубалась сеть у второго ноута, а в вай-фай роутере все было по дефолту при этом, чудеса да и только. :magic:

P.S> да и глюки эти с обновой начались после того, как в сети появился второй ноут.

Спасибо Вам большое!

Вернуться в «Системные утилиты»